Package relaxngcc.builder

## Class Alias

- java.lang.Object
- - relaxngcc.builder.Alias

-     public class Alias
      extends java.lang.Object

  Alias that will be generated as a field.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `name` |
    `CDType` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Alias​(CDType t, java.lang.String n)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final CDType type

    - #### name

          public final java.lang.String name

  - ### Constructor Detail

    - #### Alias

          public Alias​(CDType t,
                       java.lang.String n)